Address GroupsAdd an address to a folder (folder creator, own address)

Add an address to a folder (folder creator, own address)

ONLY the folder's creator (manager) can change its contents, and only with THEIR OWN addresses.

The second restriction is about security, not convenience: by putting an address you only have view access to into a shared folder, you would expose it to all of the folder's participants, bypassing its owner. A folder grants access, not ownership.

curl -X POST "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/address-groups/example_string/members" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "addressId": "123 Main St"
}'
{
  "added": true
}
POST
/api/v1/vaults/{code}/address-groups/{id}/members
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault

Body

application/json

Responses